/**
 * @hidden
 */
export default class DateFormatter {
    constructor(options: any);
    dateSettings: any;
    separators: any;
    validParts: any;
    intParts: any;
    tzParts: any;
    tzClip: any;
    getMonth(val: any): number;
    /**
     *
     * @param {Date|string|number} vDate
     * @param {?string} vFormat
     * @returns {?Date}
     */
    parseDate(vDate: Date | string | number, vFormat: string | null): Date | null;
    guessDate(vDateStr: any, vFormat: any): any;
    parseFormat(vChar: any, vDate: any): any;
    formatDate(vDate: any, vFormat: any): string;
}
